%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}

Name:             hibernate-commons-annotations
Version:          4.0.3
Release:          %mkrel 2
Summary:          Hibernate Annotations
Group:            Development/Java

# For details see:
# - https://github.com/hibernate/hibernate-commons-annotations/commit/4a902b4f97f923f9044a4127357b44fe5dc39cdc
# - https://github.com/hibernate/hibernate-commons-annotations/commit/a11c44cd65dadcedaf8981379b94a2c4e31428d1
License:          LGPLv2
URL:              http://www.hibernate.org/
Source0:          https://github.com/hibernate/hibernate-commons-annotations/archive/hibernate-commons-annotations-%{namedversion}.tar.gz

# Support for new jboss-logging-tools
Patch0:           New-logging-processor-version.patch

BuildArch:        noarch

BuildRequires:    jboss-logging
BuildRequires:    jboss-logging-tools >= 1.2.0
BuildRequires:    junit
BuildRequires:    slf4j
BuildRequires:    apache-commons-logging
BuildRequires:    jpackage-utils
BuildRequires:    maven-local
BuildRequires:    maven-processor-plugin
BuildRequires:    maven-compiler-plugin
BuildRequires:    maven-injection-plugin
BuildRequires:    maven-install-plugin
BuildRequires:    maven-jar-plugin
BuildRequires:    maven-javadoc-plugin
BuildRequires:    maven-release-plugin
BuildRequires:    maven-resources-plugin
BuildRequires:    maven-source-plugin
BuildRequires:    maven-surefire-plugin

%description
Following the DRY (Don't Repeat Yourself) principle, 
Hibernate Validator let's you express your domain 
constraints once (and only once) and ensure their 
compliance at various level of your system 
automatically.

Common reflection code used in support of annotation processing.

%package javadoc
Summary:        Javadocs for %{name}
Group:          Documentation

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n hibernate-commons-annotations-hibernate-commons-annotations-%{namedversion}
%patch0 -p1

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%dir %{_javadir}/%{name}
%doc changelog.txt lgpl.txt readme.txt

%files javadoc -f .mfiles-javadoc
%doc lgpl.txt



%changelog
* Tue Oct 22 2013 umeabot <umeabot> 4.0.3-2.mga4
+ Revision: 545115
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 dmorgan <dmorgan> 4.0.3-1.mga4
+ Revision: 500761
- New version
- Change maven BR into maven-local
- Java Stack Mass Rebuild

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Sep 12 2012 dmorgan <dmorgan> 4.0.1-1.mga3
+ Revision: 292686
- New version

* Wed Jul 20 2011 dmorgan <dmorgan> 3.2.0-1.mga2
+ Revision: 127138
- Fix groups

  + gil <gil>
    - imported package hibernate-commons-annotations


* Wed Jun 01 2011 Marek Goldmann <mgoldman@redhat.com> 3.2.0-3
- Fixed license
- Using source from git

* Mon May 23 2011 Marek Goldmann <mgoldman@redhat.com> 3.2.0-2
- Moved to hibernate subdirectory

* Fri May 20 2011 Marek Goldmann <mgoldman@redhat.com> 3.2.0-1
- Initial packaging


